#include <iostream>
#include <cmath>

template<typename T>
T f(const T &x) { return 1+4*pow(x,3); }

template<typename T>
void solve(T &x, const T &dx) {
  T xu=x+dx;
  while (fabs(x-xu)>1e-7) {
    std::cout << ".";
    T xm=(xu+x)/2, ym=f(xm);
    if (ym>0) xu=xm; else if (ym<0) x=xm; else x=xu=xm; 
  }
  std::cout << std::endl;
}

int main(int, char *v[]) {
  double x=std::stof(v[1]);
  double dx=std::stof(v[2]);
  solve(x,dx);
  std::cout << "x=" << x << std::endl
            << "f(x)=" << f(x) << std::endl;
  return 0;
}

